#ifndef LOGGING_LOG_H_
#define LOGGING_LOG_H_

#include "stdint-gcc.h"
#include "stdarg.h"
#include "stdbool.h"

/******************************************************
 *                      Macros
 ******************************************************/

/******************************************************
 *                    Constants
 ******************************************************/


/******************************************************
 *                 Type Definitions
 ******************************************************/
#define LOGGER_GENERAL 1
#define LOGGER_ABLSPISLAVE 2
#define LOGGER_UGFX_GENERAL 4
#define LOGGER_UGFX_FLUSHTIMES 8
#define LOGGER_UGFX_DRAWTIMES 16


/******************************************************
 *               Static Function Declarations
 ******************************************************/

/******************************************************
 *               Variable Definitions
 ******************************************************/

/******************************************************
 *               Function Definitions
 ******************************************************/

void LOG_Init();
void LOG_Activation(uint16_t LoggerIndex, bool state);

int16_t LOG_WriteString(uint16_t LoggerIndex, const char* s);
int16_t LOG_printf(uint16_t LoggerIndex, const char * sFormat, ...);

#endif /* LOGGING_LOG_H_ */
